onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -radix hexadecimal /mp2_tb/memory/clk
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mp2_datapath/pc_out
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mem_address
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mem_read
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mem_rdata
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mem_write
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mem_byte_enable
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mp2_cache_datapath/pmem_rdata
add wave -noupdate -radix hexadecimal /mp2_tb/dut/pmem_wdata
add wave -noupdate /mp2_tb/dut/mp2_cache_control/pmem_resp
add wave -noupdate -radix hexadecimal -childformat {{{/mp2_tb/dut/mp2_datapath/regfile_unit/data[7]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[6]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[5]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[4]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[3]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[2]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[1]} -radix hexadecimal} {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[0]} -radix hexadecimal}} -expand -subitemconfig {{/mp2_tb/dut/mp2_datapath/regfile_unit/data[7]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[6]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[5]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[4]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[3]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[2]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[1]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_datapath/regfile_unit/data[0]} {-height 15 -radix hexadecimal}} /mp2_tb/dut/mp2_datapath/regfile_unit/data
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mp2_control/state
add wave -noupdate -radix hexadecimal /mp2_tb/dut/mp2_cache_control/state
add wave -noupdate -label data_arr1 -radix hexadecimal -childformat {{{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[7]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[6]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[5]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[4]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[3]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[2]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[1]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[0]} -radix hexadecimal}} -expand -subitemconfig {{/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[7]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[6]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[5]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[4]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[3]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[2]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[1]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr1/data[0]} {-height 15 -radix hexadecimal}} /mp2_tb/dut/mp2_cache_datapath/data_arr1/data
add wave -noupdate -label data_arr0 -radix hexadecimal -childformat {{{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[7]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[6]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[5]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[4]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[3]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[2]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[1]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[0]} -radix hexadecimal}} -expand -subitemconfig {{/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[7]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[6]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[5]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[4]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[3]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[2]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[1]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/data_arr0/data[0]} {-height 15 -radix hexadecimal}} /mp2_tb/dut/mp2_cache_datapath/data_arr0/data
add wave -noupdate -label tag_arr1 -radix hexadecimal -childformat {{{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[7]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[6]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[5]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[4]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[3]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[2]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[1]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[0]} -radix hexadecimal}} -subitemconfig {{/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[7]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[6]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[5]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[4]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[3]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[2]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[1]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr1/data[0]} {-height 15 -radix hexadecimal}} /mp2_tb/dut/mp2_cache_datapath/tag_arr1/data
add wave -noupdate -label tag_arr0 -radix hexadecimal -childformat {{{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[7]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[6]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[5]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[4]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[3]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[2]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[1]} -radix hexadecimal} {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[0]} -radix hexadecimal}} -subitemconfig {{/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[7]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[6]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[5]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[4]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[3]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[2]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[1]} {-height 15 -radix hexadecimal} {/mp2_tb/dut/mp2_cache_datapath/tag_arr0/data[0]} {-height 15 -radix hexadecimal}} /mp2_tb/dut/mp2_cache_datapath/tag_arr0/data
add wave -noupdate /mp2_tb/dut/mp2_cache_control/tag0_hit
add wave -noupdate /mp2_tb/dut/mp2_cache_control/tag1_hit
add wave -noupdate -label dirt1 /mp2_tb/dut/mp2_cache_datapath/dirty_bit_arr1/data
add wave -noupdate -label dirt0 /mp2_tb/dut/mp2_cache_datapath/dirty_bit_arr0/data
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {5770652 ps} 0}
quietly wave cursor active 1
configure wave -namecolwidth 150
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
update
WaveRestoreZoom {4925395 ps} {5003927 ps}
